#
# Copyright (C) 2003-2016 eXo Platform SAS.
#
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This software is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this software; if not, write to the Free
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301 USA, or see the FSF site: http://www.fsf.org.
#

#################################### Usage ####################################
#
# This is the master system configuration file for chat addon
# Refer to eXo Platform Add-on Guide for more details.
# http://docs.exoplatform.com
#
# Define your own settings by uncommenting and updating entries below.
# The value provided for a configuration setting is its default value.
#
###############################################################################

############################
#
# MongoDB
#

# The host name or IP of MongoDB. Default value is localhost.
#dbServerHost=localhost

# The port number to connect to MongoDB host. Default value is 27017.
#dbServerPort=27017

# Name of the Mongo database name. Default value is chat.
#dbName=chat

# Set it true if authentication is required to access MongoDB. Default value is false.
#dbAuthentication=false

# Provide the username to access the database if authentication needed. Default value is EMPTY.
#dbUser=

# Provide the password to access the database if authentication needed. Default value is EMPTY.
#dbPassword=

##########################
#
# Chat Server
#

# The password to access REST services on the Chat server.
#chatPassPhrase=chat

# Base URL of the Chat Server. Chat server can run on a dedicated server. For this mode, base URL must use a format like : http://127.0.0.1:8080
# If empty, eXo Chat will use the Client server as the Chat server's BaseURL.
# Default value: EMPTY.
#chatServerBase=

# URL to access Chat Server. Default value is /chatServer
#chatServerUrl=/chatServer

# Page where is installed eXo Chat.
#chatPortalPage=/portal/intranet/chat

# Cron job value to clean read notifications periodically.
# Use the Cron Expression syntax (http://www.quartz-scheduler.org/documentation/quartz-2.x/tutorials/tutorial-lesson-06).
# Defaut value is every hour.
#chatCronNotifCleanup=0 0/60 * * * ?

# eXo group who can create Teams. Default value is /platform/users.
#teamAdminGroup=/platform/users

# The number of days messages are kept in a room.
# Default value is 30 days
#chatReadDays=30

# The number of messages that you can get in the Chat room.
# Default value: 200
#chatReadTotalJson=200

############################
#
# Chat Client updates
#

# Time interval to refresh messages in a chat in milliseconds.
#chatIntervalChat=5000

# Interval to keep Chat session alive in milliseconds
# Default value : 60000
#chatIntervalSession=60000

# Time interval to refresh Notifications in the main menu in milliseconds.
# Default value is 5000
#chatIntervalNotif=5000

# Time interval to refresh user status in milliseconds.
#chatIntervalStatus=60000

# Time interval to refresh Users list in milliseconds.
#chatIntervalUsers=60000

# Time after which a token won't be valid. A use will then be considered offline.
# Default value is 60000 milliseconds.
#chatTokenValidity=60000
